﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace WSUniversalLib
{
    public class Calculation
    {

        public int GetQuantityForProduct(int productType, int materialType, int count, float width, float length)
        {
            try
            {
                double kf_productType, percentBrak_materialType, countNoBrak, countBrak, area;
                int result;
                switch (productType)
                {
                    case 1:
                        kf_productType = 1.1;
                        break;
                    case 2:
                        kf_productType = 2.5;
                        break;
                    case 3:
                        kf_productType = 8.43;
                        break;
                    default:
                        kf_productType = 0;
                        break;
                }
                switch (materialType)
                {
                    case 1:
                        percentBrak_materialType = 0.3;
                        break;
                    case 2:
                        percentBrak_materialType = 0.12;
                        break;
                    default:
                        percentBrak_materialType = 0;
                        break;

                }
                area = width * length;
                countNoBrak = count * kf_productType;

                countBrak = (countNoBrak * area) * 100 / (100 - percentBrak_materialType);
                result = Convert.ToInt32(Math.Ceiling(countBrak));
                if (kf_productType == 0 || percentBrak_materialType == 0 || countBrak <= 0)
                {
                    result = -1;
                }
                return result;
            }
            catch
            {
                return -1;
            }

        }
    }
}
